Skip to content
Developer

Unified Tags

CRM6 EndpointsCRM / Unified Tags

Returns a list of unified tags

GET/api/crm/unified_tag

Query parameters

idintegerRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
namestringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of unified tagsarray<UnifiedTag>

Show fields (4)
  • idinteger

    Primary key of the unified tag. Internal ID.

  • parentsarray<UnifiedTag>
  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/unified_tag \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "deleted": true
  }
]

Add a new unified tag

POST/api/crm/unified_tag

Request body application/json

  • dataUnifiedTag2
    Show fields (2)
    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new unified tagUnifiedTag

Show fields (4)
  • idinteger

    Primary key of the unified tag. Internal ID.

  • parentsarray<UnifiedTag>
  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/unified_tag \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "deleted": true
}

Return a single unified tag with the given id

GET/api/crm/unified_tag/{id}

Path parameters

idrequiredstring

Responses

200Return a single unified tag with the given idUnifiedTag

Show fields (4)
  • idinteger

    Primary key of the unified tag. Internal ID.

  • parentsarray<UnifiedTag>
  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/unified_tag/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "deleted": true
}

Update a single unified tag with the given id

PUT/api/crm/unified_tag/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataUnifiedTag2
    Show fields (2)
    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single unified tag with the given idUnifiedTag

Show fields (4)
  • idinteger

    Primary key of the unified tag. Internal ID.

  • parentsarray<UnifiedTag>
  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/unified_tag/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "deleted": true
}

Update a single unified tag with the given id

PATCH/api/crm/unified_tag/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataUnifiedTag2
    Show fields (2)
    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single unified tag with the given idUnifiedTag

Show fields (4)
  • idinteger

    Primary key of the unified tag. Internal ID.

  • parentsarray<UnifiedTag>
  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/unified_tag/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "deleted": true
}

Returns a list of public unified tags

GET/api/crm/public/tag/unified

Query parameters

idintegerRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
namestringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of public unified tagsarray<UnifiedTag3>

Show fields (4)
  • idinteger

    Primary key of the unified tag. Internal ID.

  • parentsarray<UnifiedTag3>
  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/public/tag/unified \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "deleted": true
  }
]